apiVersion: apps/v1
kind: Deployment
metadata:
  name: ffmpeg
spec:
  selector:
    matchLabels:
      app: ffmpeg
  template:
    metadata:
      labels:
        app: ffmpeg
    spec:
      containers:
      - image: debian:latest
        name: ffmpeg
        command:
          - sleep
          - infinity
        volumeMounts:
          - mountPath: /in
            name: in
          - mountPath: /out
            name: out
        resources:
          limits:
            memory: "16Gi"
            cpu: "16"
          requests:
            memory: "1Mi"
            cpu: "1m"
      restartPolicy: Always
      volumes:
        - name: out
          persistentVolumeClaim:
            claimName: ffmpeg
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: ffmpeg-in
spec:
  accessModes:
    - ReadWriteMany
  resources:
    requests:
      storage: 32Gi
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: ffmpeg-out
spec:
  accessModes:
    - ReadWriteMany
  resources:
    requests:
      storage: 32Gi